#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libkdav2_webdavlib

%define rel 1

Summary:        A DAV protocol implementation with KJobs
Name:           kdav2
Version:        0.4.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:	    https://invent.kde.org/pim/kdav2/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch0:         kdav2-cmake-4.0.patch

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  cmake(KF5CoreAddons)

%description
A DAV protocol implementation with KJobs.

%files
%_kf5_sysconfdir/xdg/kdav2.categories
# FIXME: in the good package? and or should it be so versioned?
%_kf5_libdir/libkdav2_webdavlib.so

#--------------------------------------------------------------------

%define kpimkdav2_major 5
%define libkpimkdav2 %mklibname kpimkdav2_ %{kpimkdav2_major}

%package -n     %libkpimkdav2
Summary:        A DAV protocol implementation with KJobs
Group:          System/Libraries
Requires:       %name = %version-%release
Obsoletes:      %{_lib}kpimkdav2_0 < 0.2.0-3

%description -n %libkpimkdav2
A DAV protocol implementation with KJobs.

%files -n %libkpimkdav2
%_kf5_libdir/libKPimKDAV2.so.%{kpimkdav2_major}{,.*}
%_kf5_libdir/libKPimKDAV2.so.%{version}

#--------------------------------------------------------------------

%define kpimkdav2_devel %mklibname kpimkdav2 -d

%package -n     %kpimkdav2_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimkdav2 = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpimkdav2_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimkdav2_devel
%_includedir/KPim/KDAV2/
%_includedir/KPim/kdav2/
%_includedir/KPim/kpimkdav2_version.h
%_kf5_libdir/libKPimKDAV2.so
%_kf5_libdir/cmake/KPimKDAV2/
%_kf5_mkspecsdir/qt_kdav2.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install



%changelog
* Thu Jul 03 2025 aurr <aurr> 0.4.0-1.mga10
+ Revision: 2244779
- new version: 0.4.0
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Apr 05 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1844322
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1658653
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1534232
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 29 2019 daviddavid <daviddavid> 0.3.0-1.mga8
+ Revision: 1447907
- new version 0.3.0

* Sat Mar 30 2019 umeabot <umeabot> 0.2.0-5.mga7
+ Revision: 1382162
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-4.mga7
+ Revision: 1298467
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 daviddavid <daviddavid> 0.2.0-3.mga7
+ Revision: 1253004
- libkdav2_webdavlib.so is a runtime library not a devel one
- fix libkpimkdav2 pkg name (major version is 5)

* Sun Aug 19 2018 neoclust <neoclust> 0.2.0-2.mga7
+ Revision: 1252875
- Workaround install issue

* Sun Aug 19 2018 neoclust <neoclust> 0.2.0-1.mga7
+ Revision: 1252864
- imported package kdav2

